package edu.washington.math.sage.paintplay;

import java.awt.BorderLayout;
import java.awt.Color;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JColorChooser;
import javax.swing.JPanel;
import javax.swing.Timer;
import javax.swing.event.ChangeEvent;
import javax.swing.event.ChangeListener;

public class PaintPlayGUIPanel extends JPanel{
	PaintPlayGUIDrawingPanel myDP;
	PaintPlayGUI myParentGui;
	boolean isBusy,paused,mousePressed=false,showparticles=false;
	String mode;
	int mousex,mousey;
	Color drawingColor;
	int rendermode;
   public PaintPlayGUIPanel(PaintPlayGUI theParentGui){
	   myParentGui = theParentGui;
	   myDP = new PaintPlayGUIDrawingPanel(this);
	   this.setLayout(new BorderLayout());
	   this.add(new ButtonPanel(this),BorderLayout.NORTH);
	   this.add(myDP,BorderLayout.CENTER);
	   final JColorChooser chooser=new JColorChooser();
	   chooser.getSelectionModel().addChangeListener(new ChangeListener(){
		   public void stateChanged(ChangeEvent e) {
			    PaintPlayGUIPanel.this.drawingColor = chooser.getColor();
			}
	   });
	   chooser.setColor(Color.blue);
	   this.add(chooser,BorderLayout.EAST);
       Timer my_timer = new Timer(50, new ActionListener() {
           public void actionPerformed(ActionEvent e) {
                 if (isBusy |paused){
                   return;
                 }
                 
                 synchronized(myDP){
                	 for (int i=0;i<1;i++){
                	    myDP.updateGraphics(0.02);
                	 }
                	 if (rendermode==0){
                  		myDP.additivecreateimage();
                     }else if (rendermode==1){
                 		myDP.subtractivecreateimage();
                     }else if (rendermode==2){
                 		myDP.averagecreateimage();
                     }else if (rendermode==3){
                         myDP.pointcreateimage();
                     }
                	 myDP.repaint();
                 }
               }});
       
       my_timer.setRepeats(true);
       my_timer.start();
   }
}
